Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.rest.controller.response
Class URLResponse

    java.lang.Object
      org.apache.cocoon.rest.controller.response.URLResponse

All Implemented Interfaces:
  RestResponse

    public class URLResponse

extends Object
implements RestResponse

A `URL` as controller response.

Constructor Summary
`URLResponse(String url)`
`URLResponse(String url, Map<String,Object> data)`
`URLResponse(URL url)`
`URLResponse(URL url, Map<String,Object> data)`

Method Summary
`void` | `execute(OutputStream outputStream)`
`Map<String,Object>` | `getData()`
`URL` | `getUrl()`
`RestResponseMetaData` | `setup(Map<String,Object> inputParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLResponse

    public URLResponse(String url)
                throws MalformedURLException

Throws:
  `MalformedURLException`

### URLResponse

    public URLResponse(String url,
                       Map<String,Object> data)
                throws MalformedURLException

Throws:
  `MalformedURLException`

### URLResponse

    public URLResponse(URL url)

### URLResponse

    public URLResponse(URL url,
                       Map<String,Object> data)

Method Detail

### execute

    public void execute(OutputStream outputStream)
                 throws Exception

  Specified by:
    `execute` in interface `RestResponse`
  Throws:
    `Exception`

### getData

    public Map<String,Object> getData()

### getUrl

    public URL getUrl()

### setup

    public RestResponseMetaData setup(Map<String,Object> inputParameters)
                               throws Exception

  Specified by:
    `setup` in interface `RestResponse`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.